/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.communication.jndi.agent;

import org.ow2.petals.kernel.api.server.PetalsException;

/**
 * JNDI Agent exception.
 *
 * @author Roland NAUDIN - EbmWebsourcing
 * @since Petals 2.0
 *
 */
public class JNDIAgentException extends PetalsException {

   /**
    * Serial UID
    */
   private static final long serialVersionUID = 7598319091816621210L;

   /**
    * Default constructor
    */
   public JNDIAgentException() {
       super();
   }

   /**
    * @param message
    */
   public JNDIAgentException(String message) {
       super(message);
   }

   /**
    * @param message
    * @param cause
    */
   public JNDIAgentException(String message, Throwable cause) {
       super(message, cause);
   }

   /**
    * @param cause
    */
   public JNDIAgentException(Throwable cause) {
       super(cause);
   }

}
