/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.jbi.management.task.installation.uninstall.sl;

import java.util.HashMap;

import org.ow2.petals.container.ContainerService;
import org.ow2.petals.jbi.management.admin.AdminServiceMBean;
import org.ow2.petals.jbi.management.task.TaskContextConstants;
import org.ow2.petals.processor.Task;

/**
 * This tasks removes the shared library classloader from Petals platform <br/>
 * Inputs : shared lib name
 *
 * @author ofabre
 *
 */
public class RemoveSLClassloaderTask implements Task {

   // private ClassLoaderService loaderSrv;

    /**
     * JBI Admin Service :: JMX Agent Admin
     */
    private AdminServiceMBean adminService;

    /**
     * The Petals Container
     */
    protected ContainerService containerService;

    public RemoveSLClassloaderTask(AdminServiceMBean adminService, ContainerService containerService) {
        super();
     //   this.loaderSrv = loaderSrv;
        this.containerService = containerService;
        this.adminService = adminService;
    }

    /*
     * (non-Javadoc)
     * @see org.ow2.petals.processor.Task#execute(java.util.HashMap)
     */
    public void execute(HashMap<String, Object> context) throws Exception {
        String slName = (String) context.get(TaskContextConstants.ENTITY_NAME);

     //   loaderSrv.deleteClassLoader(slName);

        /*
         * Remove of the fractal installer component
         */
        this.containerService.removeSharedLibraryLifeCycle(slName);

        /*
         * Unregister
         */
        this.adminService.unregisterSharedLibrary(slName);
    }

    /*
     * (non-Javadoc)
     * @see org.ow2.petals.processor.Task#undo(java.util.HashMap)
     */
    public void undo(HashMap<String, Object> context) throws Exception {
        // Nothing to do
    }

}
